devguard

Entitlement reviews

Get a list of entitlement reviews.

GET
/entitlement-reviews/

Authorization

Authorization
AuthorizationBearer <token>

In: header

Query Parameters

limit?number
Default100
Range5 <= value
page?number
Default1
Range1 <= value
organizationId*string
sortColumn?string
sortDirection?string
Value in"asc" | "desc"
filterByTitle?string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://app.devguard.ch/api/entitlement-reviews/?organizationId=string"
{
  "items": [
    {
      "id": "string",
      "shortId": -9007199254740991,
      "title": "string",
      "description": "string",
      "createdAt": "string",
      "updatedAt": "string",
      "finishedAt": "string",
      "deadline": "string",
      "type": "ONBOARDING",
      "organizationId": "string",
      "coordinatorId": "string",
      "employeeId": "string",
      "coordinator": {
        "id": "string",
        "slug": "string",
        "name": "string",
        "description": "string",
        "organizationId": "string",
        "users": [
          "string"
        ]
      },
      "entitlementRoles": [
        {
          "businessRoleId": "string",
          "businessRole": {
            "id": "string",
            "slug": "string",
            "name": "string",
            "description": "string",
            "organizationId": "string",
            "users": [
              "string"
            ]
          }
        }
      ],
      "items": [
        {
          "id": "string",
          "reviewedAt": "string",
          "reviewedBy": "string",
          "accessGranted": true,
          "accessRevoked": true,
          "expectedAction": "GRANT_ACCESS",
          "actualStatus": "PENDING",
          "organizationId": "string",
          "entitlementReviewId": "string",
          "assetId": "string",
          "asset": {
            "id": "string",
            "shortId": -9007199254740991,
            "slug": "string",
            "name": "string",
            "description": "string",
            "ownerId": "string",
            "createdAt": "string",
            "updatedAt": "string",
            "organizationId": "string",
            "status": "ACTIVE",
            "parentId": "string",
            "assetClassId": "string",
            "locationId": "string",
            "retentionPeriodId": "string",
            "lastReviewId": "string",
            "confidentialityRating": 0,
            "integrityRating": 0,
            "availabilityRating": 0,
            "owner": {
              "id": "string",
              "slug": "string",
              "name": "string",
              "description": "string",
              "organizationId": "string",
              "users": [
                "string"
              ]
            }
          }
        }
      ]
    }
  ],
  "total": 0,
  "page": 0,
  "limit": 0
}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

How is this guide?